VB.NET write add form interface

The novice rookie asks every teacher VB.NET to write the plug-in, after adding the form, how to refer this form to the rhino

If you have a Rhino plug-in project, written in Visual Basic, and you’ve added a form, you can display it from a command like this:

Protected Overrides Function RunCommand(ByVal doc As RhinoDoc, ByVal mode As RunMode) As Result

  Dim result As Result = result.Cancel

  Dim form As New SampleForm()
  Dim dialogResult = form.ShowDialog(RhinoApp.MainWindow())
  If (dialogResult = Windows.Forms.DialogResult.OK) Then
    result = result.Success
  End If

  Return result

End Function

Does this help?

– Dale